Bug 1576504 - Rebase freetype to 2.8
Summary: Rebase freetype to 2.8
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freetype
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: Desktop QE
Marie Dolezelova
URL:
Whiteboard:
Keywords: Rebase
Depends On:
Blocks: 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-05-09 15:46 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
7 users (show)

(edit)
*FreeType* rebased to version 2.8

The *FreeType* font engine has been rebased to version 2.8, which is required by GNOME 3.28. The 2.8 version has been modified to be API and Application Binary Interface (ABI) compatible with the previous version 2.4.11.
Clone Of:
(edit)
Last Closed: 2018-10-30 10:28:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 None None None 2018-10-30 10:29 UTC

Description Matthias Clasen 2018-05-09 15:46:46 UTC
As part of the desktop rebase in 7.6, we need to rebase freetype to the version that is shipped with GNOME 3.28.

Comment 2 Marek Kašík 2018-05-10 14:21:00 UTC
Hi,

there are some functions missing in the new freetype (FTC_Manager_Lookup_Face and FTC_Manager_Lookup_Size). There are also some changes in types FT_Bitmap_ (signed -> unsigned types) and FT_Var_Named_Style_ (new member). The new freetype also misses header ftxf86.h.

Which packages need the new freetype? Maybe we can find another solution.

Comment 3 Kalev Lember 2018-05-11 13:54:34 UTC
Hi Marek,

We're rebasing pango as part of the desktop rebase and that in turn requires new fontconfig (rebase bug: https://bugzilla.redhat.com/show_bug.cgi?id=1576501).

The plan is to rebase fontconfig to the F28 version and the F28 fontconfig package has a dep on freetype 2.8-7. I don't know if it's a hard dep or why exactly it's needed; perhaps it can be avoided. Can you discuss this with the fontconfig people please? Adding tagoh and petersen to CC.

Comment 4 Akira TAGOH 2018-05-11 14:03:13 UTC
Essentially fontconfig 2.13 requires freetype 2.8.1 though, the necessary fixes was backported in 2.8-6 which is relevant to avar table. hmm, dunno why I set it to 2.8-7 but anyway.

Comment 5 Marek Kašík 2018-05-11 15:10:51 UTC
I see. I'll try to make the freetype 2.8 ABI compatible with the 2.4.11 but it means that the "psid" member of FT_Var_Named_Style has to removed. However, it plays some role in the loading of the avar table so I need to check it yet and can not promise anything (I plan to use value 0xFFFF where the psid is used).
It would be good to have some reproducer for the issue with loading of the "avar" table.

Comment 19 errata-xmlrpc 2018-10-30 10:28:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.